Pagina 1 di 1

problema pulse-audio su firefox 52 [ Risolto ]

Inviato: sab giu 17, 2017 15:20
da slucky
Ciao a tutti gli Slackers! dalla versione 52 di firefox, se non hai pulse-audio installato...l'audio non funziona più...ho la 14.1 e il sistema funziona bene in complesso e non mi va di aggiornare alla 14.2 per il browser, quindi chiedo se conoscete un sistema, una via per ovviare al problema e fixare, grazie a tutti per i consigli e buona Vita! :)

Re: problema pulse-audio su firefox 52

Inviato: sab giu 17, 2017 16:19
da Trotto@81
Dovresti ricompilarlo senza il supporto a Pulse.

Re: problema pulse-audio su firefox 52

Inviato: sab giu 17, 2017 18:56
da ponce
ciao slucky,

firefox sulla 14.1 e' stato mantenuto alla versione 45.Xesr di proposito: dal Changelog della 14.1

Codice: Seleziona tutto

Tue Mar 28 20:30:50 UTC 2017
patches/packages/mozilla-firefox-52.0.2esr-x86_64-1_slack14.1.txz:  Upgraded.
  Upgraded to new Firefox 52.x ESR branch.
[...]
Fri Apr 21 22:40:12 UTC 2017
patches/packages/mozilla-firefox-45.9.0esr-x86_64-1_slack14.1.txz:  Upgraded.
  This release contains security fixes and improvements.
  Also, switching back to the 45.x ESR branch due to instabilty of the
  52.x ESR branch on Slackware 14.1.

come dice Trotto@81 potresti anche ricompilartelo con l'opzione "--enable-alsa" ma non vorrei che fosse un lavoro inutile: se vuoi tenere la 14.1 forse ti conviene rimanere con la versione 45 di firefox...

Re: problema pulse-audio su firefox 52

Inviato: sab giu 17, 2017 19:38
da rik70
Io ho risolto compilando e installando apulse.

Poi vado di script:

Codice: Seleziona tutto

#!/bin/bash

apulse /usr/lib/firefox/firefox "$@"
Ciao ciao pulseaudio (non lo voglio in mezzo alle balls)


P.s.
Io però installo firefox a mano dai binari rilasciati da mozilla.

Re: problema pulse-audio su firefox 52

Inviato: dom giu 18, 2017 15:32
da slucky
weee grazie per le dritte ragazzi :)

ottimi consigli!! proverò la via di rik70 con lo script, ottima idea, giusto perchè non voglio rinunciare agli aggiornamenti di firefox che ormai uso da anni come browser...

Buona Vita a Tutti!! :D

Re: problema pulse-audio su firefox 52

Inviato: dom giu 18, 2017 16:46
da slucky
ho provato con apulse, ma in compilazione mi dà errore....perchè manca pulse-audio? ma quel pacchetto non c'è per la 14.1... :-k

Codice: Seleziona tutto

/usr/bin/ld: /usr/lib/gcc/i586-slackware-linux/5.3.0/crtbeginS.o: unrecognized relocation (0x2b) in section `.text'
/usr/bin/ld: link finale non riuscito: Bad value
collect2: error: ld returned 1 exit status
make[2]: *** [libpulse.so.0] Errore 1
make[1]: *** [CMakeFiles/pulse.dir/all] Errore 2
make: *** [all] Errore 2

Re: problema pulse-audio su firefox 52

Inviato: dom giu 18, 2017 18:06
da rik70
slucky ha scritto:perchè manca pulse-audio?

No, non è una dipendenza.

L'errore sembra legato alle binutils - forse sono troppo "vecchie" sulla 14.1?

Che versione di 'apulse' stai provando a compilare?

Re: problema pulse-audio su firefox 52

Inviato: dom giu 18, 2017 18:28
da slucky
rik70 ha scritto:

No, non è una dipendenza.

L'errore sembra legato alle binutils - forse sono troppo "vecchie" sulla 14.1? Che versione di 'apulse' stai provando a compilare?


le ho scaricate da qui: https://github.com/i-rinat/apulse sì, infatti, aggiornate le binutils ha ripreso a compilare...problema risolto, ciao e grazie per l'aiuto! :thumbright:

Re: problema pulse-audio su firefox 52

Inviato: dom giu 18, 2017 19:02
da rik70
slucky ha scritto:problema risolto, ciao e grazie per l'aiuto! :thumbright:
Dovere :)


ponce ha scritto:come dice Trotto@81 potresti anche ricompilartelo con l'opzione "--enable-alsa" ma non vorrei che fosse un lavoro inutile

Ops...
Nel Changelog della current si legge:
Fri Mar 10 05:41:05 UTC 2017
xap/mozilla-firefox-52.0-x86_64-2.txz: Rebuilt.
Recompiled with --enable-alsa option. Without this, there is no fallback
support for ALSA
if PulseAudio is not present. Thanks to Ivan Kalvatchev.

Sarebbe interessante se qualcuno in current potesse confermare dopo aver piallato pulseaudio.

Re: problema pulse-audio su firefox 52 [ Risolto ]

Inviato: dom giu 18, 2017 19:43
da ponce
rik70 ha scritto:
ponce ha scritto:come dice Trotto@81 potresti anche ricompilartelo con l'opzione "--enable-alsa" ma non vorrei che fosse un lavoro inutile

Ops...
Nel Changelog della current si legge:
Fri Mar 10 05:41:05 UTC 2017
xap/mozilla-firefox-52.0-x86_64-2.txz: Rebuilt.
Recompiled with --enable-alsa option. Without this, there is no fallback
support for ALSA
if PulseAudio is not present. Thanks to Ivan Kalvatchev.

Sarebbe interessante se qualcuno in current potesse confermare dopo aver piallato pulseaudio.

per chiarire, mi riferivo alla 14.1 di slucky, sulla quale Pat diceva nel Changelog che la 52.x crashava.
per la 14.2 e la current Pat ha aggiunto quell'opzione su richiesta di alcuni utenti che avevano appunto piallato pulseaudio e che poi in effetti hanno confermato che con alsa e basta funziona lo stesso.

Re: problema pulse-audio su firefox 52

Inviato: dom giu 18, 2017 19:45
da ponce
slucky ha scritto:aggiornate le binutils ha ripreso a compilare..

non so quanto sia sicuro aggiornare le binutils sulla 14.1... forse sarebbe stato meglio installare apulse dal repository di SBo per la 14.1

https://slackbuilds.org/repository/14.1/audio/apulse/

Re: problema pulse-audio su firefox 52 [ Risolto ]

Inviato: dom giu 18, 2017 20:33
da rik70
@ponce
Azz... non avevo notato che la faccenda era stata sistemata anche su Slackware 14.2: e funziona!

Da quello che si legge in giro però il supporto ad ALSA verrà abbandonato: è vero?
Offtopic: Ma perché fanno queste caxxate?

Sto notando tra l'altro che con apulse l'audio su alcuni video è fuori sincrono.

ponce ha scritto:https://slackbuilds.org/repository/14.1/audio/apulse/
Mi sa che per firefox serve una versione di apulse più recente: https://github.com/i-rinat/apulse/releases